StartDataFlowDebugSessionRequest Class

Request body structure for starting data flow debug session.

Inheritance
StartDataFlowDebugSessionRequest

Constructor

StartDataFlowDebugSessionRequest(*, session_id: Optional[str] = None, data_flow: Optional[azure.synapse.artifacts.models._models_py3.DataFlowResource] = None, datasets: Optional[List[azure.synapse.artifacts.models._models_py3.DatasetResource]] = None, linked_services: Optional[List[azure.synapse.artifacts.models._models_py3.LinkedServiceResource]] = None, staging: Optional[object] = None, debug_settings: Optional[object] = None, incremental_debug: Optional[bool] = None, **kwargs)

Parameters

session_id
str
Required

The ID of data flow debug session.

data_flow
DataFlowResource
Required

Data flow instance.

datasets
list[DatasetResource]
Required

List of datasets.

linked_services
list[LinkedServiceResource]
Required

List of linked services.

staging
object
Required

Staging info for debug session.

debug_settings
object
Required

Data flow debug settings.

incremental_debug
bool
Required

The type of new Databricks cluster.